<div>
  <div class="mt-4 bg-white rounded-xl">
    <v-simple-table
      class="scrollTable c-pointer"
      fixed-header
      style="border: 1px solid #edeeef; border-radius: 8px 8px 8px 8px"
    >
      <template v-slot:default>
        <template v-if="listRevenueProduct && listRevenueProduct.length">
          <thead>
            <tr class="!bg-gray !rounded-t-xl bg-gray-200">
              <th class="text-left !bg-gray-200">
                <div style="width: 230px">
                  <p class="!text-[#6E7C87] text-xs font-semibold mb-0">
                    Product
                  </p>
                </div>
              </th>
              <th class="text-left !bg-gray-200">
                <div class="flex items-center gap-2" style="width: 150px">
                  <p class="!text-[#6E7C87] text-xs font-semibold mb-0">
                    Purchase Order (PO)
                  </p>
                  <button
                    v-if="sortPurchase"
                    @click="onSortTableHightToLow('purchase')"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('purchase')">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left !bg-gray-200">
                <div class="flex items-center gap-2" style="width: 150px">
                  <p class="!text-[#6E7C87] text-xs font-semibold mb-0">
                    Marketing Rev (RE)
                  </p>
                  <button
                    v-if="sortRevenueTotal"
                    @click="onSortTableHightToLow('revenueTotal')"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('revenueTotal')">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left !bg-gray-200">
                <div class="flex items-center gap-2" style="width: 160px">
                  <p class="!text-[#6E7C87] text-xs font-semibold mb-0">
                    Revenue (RE - Cancel)
                  </p>
                  <button
                    v-if="sortRevenue"
                    @click="onSortTableHightToLow('revenue')"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('revenue')">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left !bg-gray-200">
                <div class="flex items-center gap-2" style="width: 85px">
                  <p class="!text-[#6E7C87] text-xs font-semibold mb-0">View</p>
                  <button
                    v-if="sortView"
                    @click="onSortTableHightToLow('view')"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('view')">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left !bg-gray-200">
                <div class="flex items-center gap-2" style="width: 100px">
                  <p class="!text-[#6E7C87] text-xs font-semibold mb-0">
                    Add To Cart
                  </p>
                  <button
                    v-if="sortAddToCart"
                    @click="onSortTableHightToLow('addToCart')"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('addToCart')">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>

              <th class="text-left !bg-gray-200">
                <div class="flex items-center gap-2" style="width: 130px">
                  <p class="mb-0 !text-[#6E7C87] text-xs font-semibold">
                    Initiate Checkout
                  </p>
                  <button
                    v-if="sortGoCheckout"
                    @click="onSortTableHightToLow('goCheckout')"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('goCheckout')">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left !bg-gray-200">
                <div class="flex items-center gap-2" style="width: 130px">
                  <p class="!text-[#6E7C87] text-xs font-semibold mb-0">
                    Add Payment Info
                  </p>
                  <button
                    v-if="sortCheckout"
                    @click="onSortTableHightToLow('checkout')"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('checkout')">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left !bg-gray-200">
                <div class="flex items-center gap-2" style="width: 80px">
                  <p class="!text-[#6E7C87] text-xs font-semibold mb-0">
                    Refund
                  </p>
                  <button
                    v-if="sortRefund"
                    @click="onSortTableHightToLow('refund')"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('refund')">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left !bg-gray-200">
                <div class="flex items-center gap-2" style="width: 84px">
                  <p class="!text-[#6E7C87] text-xs font-semibold mb-0">
                    Cost (PC)
                  </p>
                  <button
                    v-if="sortProductCost"
                    @click="onSortTableHightToLow('productCost')"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('productCost')">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left !bg-gray-200">
                <div class="flex items-center gap-2" style="width: 80px">
                  <p class="!text-[#6E7C87] text-xs font-semibold mb-0">AOV</p>
                  <button v-if="sortAov" @click="onSortTableHightToLow('aov')">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('aov')">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left !bg-gray-200">
                <div class="flex items-center gap-2">
                  <p class="!text-[#6E7C87] text-xs font-semibold mb-0">
                    PC/RE
                  </p>
                  <button
                    v-if="sortPcre"
                    @click="onSortTableHightToLow('pc/re')"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('pc/re')">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(item,idx) in listRevenueProduct" :key="item + idx">
              <td class="text-sm">{{item.group}}</td>
              <td>
                <p class="text-sm">{{item.purchase}}</p>
              </td>
              <td>
                <p class="text-sm text-emerald-500 mb-0">
                  ${{item.revenueTotal &&
                  $utils.formatCurrencyFloat(item.revenueTotal)}}
                </p>
                <p class="text-xs text-red-500">
                  - ${{item.revenueTotal &&
                  $utils.formatCurrencyFloat(item.revenueTotal - item.revenue)
                  || 0}}
                </p>
              </td>
              <td>
                <p class="text-sm">
                  ${{item.revenue && $utils.formatCurrencyFloat(item.revenue)}}
                </p>
              </td>
              <td>
                <p class="text-sm">{{item.view}}</p>
              </td>
              <td>
                <p class="text-sm">{{item.addToCart}}</p>
              </td>
              <td>
                <p class="text-sm">{{item.goCheckout || 0}}</p>
              </td>
              <td>
                <p class="text-sm">{{item.checkout}}</p>
              </td>

              <td>
                <p class="text-sm">
                  {{ item.revenueTotal &&
                  $utils.formatCurrencyFloat(item.revenueTotal - item.revenue)
                  || 0 }}
                </p>
              </td>
              <td>
                <p class="text-sm">
                  ${{item.productCost &&
                  $utils.formatCurrencyFloat(item.productCost)}}
                </p>
              </td>
              <td>
                <p class="text-sm">
                  ${{item.aov && $utils.formatCurrencyFloat(item.aov)}}
                </p>
              </td>
              <td>
                <p class="text-sm">
                  {{item && Math.round(item["pc/re"] * 100) || 0}}%
                </p>
              </td>
            </tr>
          </tbody>
        </template>
        <template v-else>
          <EmptyData />
        </template>
      </template>
    </v-simple-table>
  </div>
</div>
